Author: nmalin
Date: Wed Apr  2 08:12:17 2025
New Revision: 1924740

URL: http://svn.apache.org/viewvc?rev=1924740&view=rev
Log:
Implemented: Add sh script for helping to ofbiz release generation.

Clone ofbiz-framework and ofbiz-plugins (with the good branch to release) on 
the same directory and run at the same root :

$ . /${scriptPath}/process-ofbiz-release.sh ${releaseVersion}

Added:
    ofbiz/tools/process-ofbiz-release.sh   (with props)

Added: ofbiz/tools/process-ofbiz-release.sh
URL: 
http://svn.apache.org/viewvc/ofbiz/tools/process-ofbiz-release.sh?rev=1924740&view=auto
==============================================================================
--- ofbiz/tools/process-ofbiz-release.sh (added)
+++ ofbiz/tools/process-ofbiz-release.sh Wed Apr  2 08:12:17 2025
@@ -0,0 +1,44 @@
+#!/bin/bash
+# Script to help the release creation 
+# we consider that you execute this on a directory with the source code from 
git present on two directory ofbiz-framework and ofbiz-plugins
+# Just run like this $. ${scriptPath}/process-ofbiz-release.sh 24.09.01
+
+# color definitions for output
+RED='\033[0;31m'
+GRN='\033[0;32m'
+NC='\033[0m' # No Color
+
+if [[ $# -eq 0 ]] ; then
+    echo -e "Usage: $0 ${RED}[version]${NC}"
+    exit 1
+fi
+
+# prepare framework
+cd ofbiz-framework/
+git tag release$1
+git checkout-index -a -f --prefix=../apache-ofbiz-$1/
+
+# prepare plugins
+cd ../ofbiz-plugins/
+git tag release$1
+git checkout-index -a -f --prefix=../apache-ofbiz-$1/plugins/
+
+cd ..
+
+# Remove unwanted file
+rm apache-ofbiz-$1/gradle/wrapper/gradle-wrapper.jar 
apache-ofbiz-$1/plugins/LICENSE apache-ofbiz-$1/plugins/VERSION
+
+# Set the version
+echo "$1" > apache-ofbiz-$1/VERSION 
+
+# Zip
+zip  apache-ofbiz-$1.zip -r -T apache-ofbiz-$1/*
+
+# Sign
+gpg --armor --output apache-ofbiz-$1.zip.asc --detach-sig apache-ofbiz-$1.zip
+gpg --print-md SHA512 apache-ofbiz-$1.zip > apache-ofbiz-$1.zip.sha512
+
+# To finish
+echo -e "## ${GRN}Done${NC}, You can check the generated archive 
${GRN}apache-ofbiz-$1.zip${NC}"
+echo -e "## If it's validate ${RED}don't forget to push the tag${NC} on 
ofbiz-framework and ofbiz-plugins"
+echo -e "## -> git push origin tag release$1"

Propchange: ofbiz/tools/process-ofbiz-release.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: ofbiz/tools/process-ofbiz-release.sh
------------------------------------------------------------------------------
    svn:executable = *

Propchange: ofbiz/tools/process-ofbiz-release.sh
------------------------------------------------------------------------------
    svn:keywords = Date Rev Author URL Id

Propchange: ofbiz/tools/process-ofbiz-release.sh
------------------------------------------------------------------------------
    svn:mime-type = text/plain


Reply via email to